---
lang: en
title: 'API docs: rest.restapplication.basepath'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restapplication.basepath.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestApplication](./rest.restapplication.md) &gt; [basePath](./rest.restapplication.basepath.md)

## RestApplication.basePath() method

Configure the `basePath` for the rest server

<b>Signature:</b>

```typescript
basePath(path?: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  path | string | <i>(Optional)</i> Base path |

<b>Returns:</b>

void


